services:
  kexue-server:
    build: ./kexue
    restart: always
    container_name: kexue-server
    ports:
      - '18000:18000'
    environment:
      TZ: Asia/Shanghai
      DB_HOST: 124.71.175.96
      DB_PORT: 3306
      DB_USER: root
      DB_PWD: C9MUjc5ChtqHeCtQ
      DB_NAME: kexue
      REDIS_HOST: 124.71.175.96
      REDIS_PORT: 6379
      REDIS_PWD: 5Qsd1rTx3S7rKs0A
      REDIS_DB: 0
    volumes:
      - /docker/kexue/config/:/app/config/
      - /docker/kexue/data/file/:/app/data/file/
      - /docker/kexue/logs/:/app/logs/
      - /docker/kexue/lib/:/app/lib/
